---

- name: Allow limit access to tcp port configured ssh
  community.general.ufw:
    rule: limit
    interface: "{{ interface }}"
    direction: in
    port: "{{ ansible_port }}"
    proto: tcp
  become: true
  tags:
    - ufw

- name: Allow access to the required_ports
  community.general.ufw:
    rule: "{{ item.rule }}"
    port: "{{ item.port }}"
    proto: "{{ item.proto }}"
  become: true
  loop: "{{ required_ports }}"
  tags:
    - ufw

- name: Allow access to tcp/udp port 53
  community.general.ufw:
    rule: allow
    port: '53'
    proto: any
  become: True
  tags:
    - ufw

- name: Enable ufw
  ufw:
    state: enabled
  become: true
  tags:
    - ufw

...